import { waitTaskListCount } from "./api";

const state = {
  waitTaskCount: 0
};

const mutations = {
  setNotDoneTaskCount(state, waitTaskCount) {
    state.waitTaskCount = waitTaskCount;
  }
};

const actions = {
  async updateWaitTaskCount({ commit }) {
    const count = await waitTaskListCount();
    commit("setNotDoneTaskCount", count);
  }
};

export default {
  namespaced: true,
  state,
  mutations,
  actions
};
